View Issue Details

IDProjectCategoryView StatusLast Update
14232Bug reports[All Projects] Statisticspublic2019-04-10 15:07
ReporterMaziAssigned ToMazi 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.15.x 
Target Version3.15.xFixed in Version3.15.x 
Summary14232: Missing logo file when exporting statistics to PDF
Description

While at older Limesurvey versions there was a Limesurvey logo on top of the exported PDF by default, this feature is no gone, see https://github.com/LimeSurvey/LimeSurvey/blob/master/application/helpers/admin/statistics_helper.php#L3879

In order to make the feature available again and make it easier for the common user to add a custom logo file some code should be added to look for a logo named "logo_statistics.jpg" at the currently used admin theme. If a file is found -> add it to the PDF, if not, no logo gets added.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.2
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5
Server OS (if known)Ubuntu 14 TLS
Webserver software & version (if known)Apache 2
PHP Version7.0.26

Relationships

parent of 14668 assignedMazi Feature requests Missing option to include your own logo at queXML export 
parent of 14669 assignedMazi Feature requests Missing option to include your own logo at PDF response export 
Not all the children of this issue are yet resolved or closed.

Activities

Mazi

Mazi

2018-11-16 09:26

partner   ~49678

Pull request: https://github.com/LimeSurvey/LimeSurvey/pull/1169

Issue History

Date Modified Username Field Change
2018-11-08 16:13 Mazi New Issue
2018-11-08 16:13 Mazi Status new => assigned
2018-11-08 16:13 Mazi Assigned To => Mazi
2018-11-16 09:26 Mazi Note Added: 49678
2018-11-27 11:17 Mazi Status assigned => resolved
2018-11-27 11:17 Mazi Resolution open => fixed
2018-11-27 11:17 Mazi Fixed in Version => 3.15.x
2019-03-20 11:49 Mazi Relationship added parent of 14668
2019-03-20 11:51 Mazi Relationship added parent of 14669